Delete a participant issuer certificate
Roles
Analytics Events
/v1/ecosystems/{ecosystemId}/participants/{participantId}/issuer-certificates/{issuerCertificateId}Delete a specific issuer certificate for the specified participant.
Analytic events
- ECOSYSTEM_PARTICIPANT_ISSUER_CERTIFICATE_DELETE_START
- ECOSYSTEM_PARTICIPANT_ISSUER_CERTIFICATE_DELETE_SUCCESS
- ECOSYSTEM_PARTICIPANT_ISSUER_CERTIFICATE_DELETE_FAIL
Authorization
bearerAuth In: header
Path Parameters
The UUID of the participant
uuidThe UUID of the ecosystem
uuidUnique identifier of the participant issuer certificate.
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/participants/a24e391a-c27f-4b6e-9805-1ee7e03f3c58/issuer-certificates/3b5b1a6a-1b1a-4b1a-8b1a-1b1a4b1a8b1a"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Update a participant issuer certificate PUT
Update a specific issuer certificate for the specified participant. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_ISSUER_CERTIFICATE_UPDATE_START * ECOSYSTEM_PARTICIPANT_ISSUER_CERTIFICATE_UPDATE_SUCCESS * ECOSYSTEM_PARTICIPANT_ISSUER_CERTIFICATE_UPDATE_FAIL
Create a participant verifier certificate POST
Create a new verifier certificate for the specified participant. The certificatePem field cannot be modified once the certificate is created. To maintain trust continuity across a certificate rotation, provide `linkCertificateInfo` to add this certificate as a successor to a previously uploaded certificate. Link certificates can only be added when the certificate is created, not when it is updated. ### **Analytic events** * ECOSYSTEM_PARTICIPANT_VERIFIER_CERTIFICATE_CREATE_START * ECOSYSTEM_PARTICIPANT_VERIFIER_CERTIFICATE_CREATE_SUCCESS * ECOSYSTEM_PARTICIPANT_VERIFIER_CERTIFICATE_CREATE_FAIL